#!/bin/bash

########################################################
# Serveurs

declare -A ip
ip[web0]=10.16.10.80
ip[web1]=10.16.10.81
ip[web2]=10.16.10.82
ip[web3]=10.16.10.83
ip[web4]=10.16.10.84
ip[dns]=10.16.10.2

for s in ${!ip[@]};
do
    echo "Lancement de la VM $s" 
    echo "     ==> logs dans $s.log" 
    ./demarreVM.sh $s 2>&1 > $s.log &
done

echo "\nAttente du démarrage ..."
sleep 90

for s in ${!ip[@]};
do
    echo "Manually setting ip: ${ip[$s]}"
    cd $s
    vagrant ssh -c "sudo ip a add ${ip[$s]}/12 dev eth1"
    cd ..
done

echo "Système démarré"
tail -n 7 dns.log web*.log 




